% heuristic - debest binomial
%
function y=debest(P,F,CR,expt);
% expt=[i, indmin]
N=length(P(:,1));
d=length(P(1,:))-1;
y=P(expt(1),1:d); % current
best=P(expt(2),1:d); % best point in P
vyb=nahvyb_expt(N,4,expt);	% four random points without expt
r1=P(vyb(1),1:d);
r2=P(vyb(2),1:d);
r3=P(vyb(3),1:d);
r4=P(vyb(4),1:d);
v=best+F*(r2+r2-r3-r4);
change=find(rand(1,d)<CR);
if length(change)==0 % at least one element is changed
    change=1+fix(d*rand(1));
end
y(change)=v(change);
%